
Infrastructure - Task #2203

Story # 2166 (Closed): Hazelcast cluster errors need to be isolated

Update d1_common_java to include new methods to APIs

2012-01-11 18:06 - Robert Waltz

Status: Closed Start date: 2012-01-11

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

CNCore and CNRegistration should have their interface definitions changed to include:

CNCore.setObsoletedBy(session, pid, obsoletedByPid, serialVersion);

CNReplication.deleteReplicationMetadata (session, pid, nodeId, serialVersion);

Related issues:

Related to Infrastructure - Task #2199: add new methods to java service API Rejected 2012-01-10

History

#1 - 2012-01-11 23:50 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

#2 - 2012-01-12 00:44 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

d1_common now declares the method.

d1_libclient has as much of the implementation as possible (still need to decide REST endpoints and method type).

#3 - 2012-01-12 00:47 - Ben Leinfelder

- Status changed from Closed to In Progress

- % Done changed from 100 to 80

keep open until REST endpoint is wired up

#4 - 2012-01-12 21:33 - Ben Leinfelder

- Status changed from In Progress to Closed

endpoints now being used in libclient
